package hideandseek.events;

import hideandseek.Arena;
import org.bukkit.entity.Player;
import org.bukkit.event.HandlerList;
import org.bukkit.event.Event;

public class HASPlayerJoinEvent extends Event
{
    private static final HandlerList handlers;
    Player p;
    Arena arena;
    
    static {
        handlers = new HandlerList();
    }
    
    public HASPlayerJoinEvent(final Player var1, final Arena var2) {
        this.p = var1;
        this.arena = var2;
    }
    
    public static HandlerList getHandlerList() {
        return HASPlayerJoinEvent.handlers;
    }
    
    public HandlerList getHandlers() {
        return HASPlayerJoinEvent.handlers;
    }
    
    public Player getPlayer() {
        return this.p;
    }
    
    public Arena getArena() {
        return this.arena;
    }
}
